## GMimeStreamCat

GMimeStreamCat — A concatenated stream

## Functions

GMimeStream * | g_mime_stream_cat_new ()
int | g_mime_stream_cat_add_source ()

## Types and Values

struct | GMimeStreamCat

## Object Hierarchy

        GObject
        ╰── GMimeStream
            ╰── GMimeStreamCat

## Description

A GMimeStream which chains together any number of other streams.

## Functions

### g_mime_stream_cat_new ()

    GMimeStream *
    g_mime_stream_cat_new (void);

Creates a new GMimeStreamCat object.

#### Returns

a new GMimeStreamCat stream.

### g_mime_stream_cat_add_source ()

    int
    g_mime_stream_cat_add_source (GMimeStreamCat *cat,
                                  GMimeStream *source);

Adds the `source` stream to the `cat` .

#### Parameters

cat | a GMimeStreamCat |
source | a source stream |

#### Returns

`0` on success or `-1` on fail.

## Types and Values

### struct GMimeStreamCat

    struct GMimeStreamCat;

A concatenation of other GMimeStream objects.

#### Members

## See Also

GMimeStream